Package org.apache.solr.client.solrj.request

# Class ReplicasApi

java.lang.Object
org.apache.solr.client.solrj.request.ReplicasApi

public class ReplicasApi extends Object
Experimental `SolrRequest`s for replicas, generated from an OAS.

See individual request and response classes for more detailed and relevant information.

All SolrRequest implementations rely on v2 APIs which may require a SolrClient configured to use the '/api' path prefix, instead of '/solr'.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ReplicasApi.CreateReplica`
`static class`
`ReplicasApi.DeleteReplicaByName`
`static class`
`ReplicasApi.DeleteReplicasByCount`
`static class`
`ReplicasApi.DeleteReplicasByCountAllShards`

## Constructor Summary

Constructors
Constructor
Description
`ReplicasApi()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplicasApi

public ReplicasApi()